Bug 1614302 - qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
Summary: qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or dir...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.6
Hardware: x86_64
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: Marc-Andre Lureau
QA Contact: Yanan Fu
URL:
Whiteboard:
Depends On:
Blocks: 1649160 1651787
TreeView+ depends on / blocked
 
Reported: 2018-08-09 10:57 UTC by Yanan Fu
Modified: 2019-08-22 09:20 UTC (History)
5 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-20.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 09:18:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2553 None None None 2019-08-22 09:20:10 UTC

Description Yanan Fu 2018-08-09 10:57:11 UTC
Description of problem:
Launch qemu-kvm process, error message "qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory" will be shown in /var/log/messages. But it seems no obvious bad effect during my testing. 


Version-Release number of selected component (if applicable):
qemu:  qemu-kvm-rhev-2.12.0-8.el7.x86_64
kernel: kernel-3.10.0-928.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Monitor /var/log/messages
   # tailf /var/log/messages
2. Start qemu-kvm process
   # /usr/libexec/qemu-kvm &
3. Check /var/log/messages
Aug  9 06:52:31 dell-per730-28 kvm: 1 guest now active
Aug  9 06:52:31 dell-per730-28 qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory


Actual results:
"qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory" are shown in the log.

Expected results:
No error.

Additional info:
Start qemu-kvm:
[root@dell-per730-28 ~]# /usr/libexec/qemu-kvm &
[2] 17273
[root@dell-per730-28 ~]# VNC server running on ::1:5900
[root@dell-per730-28 ~]# /usr/libexec/qemu-kvm &
[3] 17281
[root@dell-per730-28 ~]# VNC server running on ::1:5901
[root@dell-per730-28 ~]# /usr/libexec/qemu-kvm &
[4] 17299
[root@dell-per730-28 ~]# VNC server running on ::1:5902


Corresponding /var/log/messages:
Aug  9 06:52:31 dell-per730-28 kvm: 1 guest now active
Aug  9 06:52:31 dell-per730-28 qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
Aug  9 06:52:37 dell-per730-28 kvm: 2 guests now active
Aug  9 06:52:37 dell-per730-28 qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
Aug  9 06:52:47 dell-per730-28 kvm: 3 guests now active
Aug  9 06:52:47 dell-per730-28 qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory

Comment 3 Yanan Fu 2018-08-09 11:01:44 UTC
This issue doesn't exist on RHEL7.5.

Test version:
qemu:   qemu-kvm-rhev-2.10.0-21.el7.x86_64
kernel: kernel-3.10.0-862.el7.x86_64

So, add keywords "Regression".

Comment 4 Ademar Reis 2018-08-15 14:26:58 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=1609327#c3

Comment 7 Miroslav Rezanina 2018-12-06 12:39:39 UTC
Fix included in qemu-kvm-rhev-2.12.0-20.el7

Comment 9 Yanan Fu 2019-03-06 03:20:59 UTC
============Reproduce==========
qemu-kvm: qemu-kvm-rhev-2.12.0-19.el7.x86_64

# /usr/libexec/qemu-kvm 

# tailf /var/log/messages
....
Mar  5 22:11:19 hp-dl388g9-02 kvm: 1 guest now active
Mar  5 22:11:19 hp-dl388g9-02 qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory



============ verification ==========
qemu-kvm: qemu-kvm-rhev-2.12.0-24.el7

same step, no error in /var/log/message.
# /usr/libexec/qemu-kvm 
# tailf /var/log/messages
Mar  5 22:20:07 hp-dl388g9-02 kvm: 1 guest now active
Mar  5 22:20:08 hp-dl388g9-02 kvm: 0 guests now active
Mar  5 22:20:09 hp-dl388g9-02 kvm: 1 guest now active
Mar  5 22:20:10 hp-dl388g9-02 kvm: 0 guests now active



Move to VERIFIED accordingly.

Comment 11 errata-xmlrpc 2019-08-22 09:18:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2553


Note You need to log in before you can comment on or make changes to this bug.